Bug 1279927 - wxMaxima crashes on Wayland
wxMaxima crashes on Wayland
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: wxMaxima (Show other bugs)
23
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 08:59 EST by Nathan Smith
Modified: 2016-11-29 20:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-29 20:15:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan Smith 2015-11-10 08:59:09 EST
Description of problem:

wxMaxima segmentation faults and crashes as soon as you try to type in a cell under wayland. If launched from the terminal, the standard output says simply "Segmentation Fault" without any other information.

Version-Release number of selected component (if applicable):

wxMaxima 15.08.2
Fedora 23
Processor: Core i7-4710MQ

How reproducible:
Happens without fail everytime I launch wxMaxima under Wayland

Steps to Reproduce:
1. Sign in under Wayland
2. Launch wxMaxima
3. Try to type something

Actual results:
Segmentation Fault and crash

Expected results:
Display something in the evaluation cell

Additional info:
I've never reported a bug before so just tell me if you need any other info and I'm happy to add it.
Comment 1 Rex Dieter 2016-11-08 18:08:08 EST
Can you provide a backtrace of the crash?
Comment 2 Fedora End Of Life 2016-11-24 08:15:51 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Nathan Smith 2016-11-29 20:15:54 EST
Hi, sorry I don't have an install of Fedora 23 anymore and haven't had this issues for a while. I guess it must be fixed and probably had to do with wxgtk and wayland and not with wxMaxima specifically.

Note You need to log in before you can comment on or make changes to this bug.